Package org.apache.felix.http.jakartawrappers

# Class AsyncContextWrapper

java.lang.Object
org.apache.felix.http.jakartawrappers.AsyncContextWrapper

All Implemented Interfaces:
  `jakarta.servlet.AsyncContext`

public class AsyncContextWrapper extends Object implements jakarta.servlet.AsyncContext
async context wrapper

## Field Summary

### Fields inherited from interface jakarta.servlet.AsyncContext

`ASYNC_CONTEXT_PATH, ASYNC_MAPPING, ASYNC_PATH_INFO, ASYNC_QUERY_STRING, ASYNC_REQUEST_URI, ASYNC_SERVLET_PATH`

## Constructor Summary

Constructors
Constructor
Description
`AsyncContextWrapper(javax.servlet.AsyncContext c)`
Create new context

## Method Summary

Modifier and Type
Method
Description
`void`
`addListener(jakarta.servlet.AsyncListener listener)`
`void`
`addListener(jakarta.servlet.AsyncListener listener, jakarta.servlet.ServletRequest servletRequest, jakarta.servlet.ServletResponse servletResponse)`
`void`
`complete()`
`<T extends jakarta.servlet.AsyncListener>
T`
`createListener(Class<T> clazz)`
`void`
`dispatch()`
`void`
`dispatch(jakarta.servlet.ServletContext sc, String path)`
`void`
`dispatch(String path)`
`jakarta.servlet.ServletRequest`
`getRequest()`
`jakarta.servlet.ServletResponse`
`getResponse()`
`long`
`getTimeout()`
`boolean`
`hasOriginalRequestAndResponse()`
`void`
`setTimeout(long timeout)`
`void`
`start(Runnable run)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AsyncContextWrapper

public AsyncContextWrapper(@NotNull javax.servlet.AsyncContext c)
Create new context

Parameters:
  `c` - Wrapped context

## Method Details

### getRequest

public jakarta.servlet.ServletRequest getRequest()

Specified by:
  `getRequest` in interface `jakarta.servlet.AsyncContext`

### getResponse

public jakarta.servlet.ServletResponse getResponse()

Specified by:
  `getResponse` in interface `jakarta.servlet.AsyncContext`

### hasOriginalRequestAndResponse

public boolean hasOriginalRequestAndResponse()

Specified by:
  `hasOriginalRequestAndResponse` in interface `jakarta.servlet.AsyncContext`

### dispatch

public void dispatch()

Specified by:
  `dispatch` in interface `jakarta.servlet.AsyncContext`

### dispatch

public void dispatch(String path)

Specified by:
  `dispatch` in interface `jakarta.servlet.AsyncContext`

### dispatch

public void dispatch(jakarta.servlet.ServletContext sc, String path)

Specified by:
  `dispatch` in interface `jakarta.servlet.AsyncContext`

### complete

public void complete()

Specified by:
  `complete` in interface `jakarta.servlet.AsyncContext`

### start

public void start(Runnable run)

Specified by:
  `start` in interface `jakarta.servlet.AsyncContext`

### addListener

public void addListener(jakarta.servlet.AsyncListener listener)

Specified by:
  `addListener` in interface `jakarta.servlet.AsyncContext`

### addListener

public void addListener(jakarta.servlet.AsyncListener listener, jakarta.servlet.ServletRequest servletRequest, jakarta.servlet.ServletResponse servletResponse)

Specified by:
  `addListener` in interface `jakarta.servlet.AsyncContext`

### createListener

public <T extends jakarta.servlet.AsyncListener> T createListener(Class<T> clazz) throws jakarta.servlet.ServletException

Specified by:
  `createListener` in interface `jakarta.servlet.AsyncContext`
Throws:
  `jakarta.servlet.ServletException`

### setTimeout

public void setTimeout(long timeout)

Specified by:
  `setTimeout` in interface `jakarta.servlet.AsyncContext`

### getTimeout

public long getTimeout()

Specified by:
  `getTimeout` in interface `jakarta.servlet.AsyncContext`